std::thread::~thread(3)

NAME
std::thread::~thread - std::thread::~thread

Synopsis
   ~thread(); (since C++11)
   Destroys the thread object.
   If *this has an associated thread (joinable() == true), std::terminate() is called.

Notes
   A thread object does not have an associated thread (and is safe to destroy) after
     * it was default-constructed
     * it was moved from
     * join() has been called
     * detach() has been called